#!/bin/bash

# Set Path
PATH=/opt/local/bin:/opt/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/texbin
PATH=$PATH:/applications/GMT/GMT4.5.2/bin
NETCDFHOME=/applications/GMT/netcdf-3.6.3
MANPATH=/applications/GMT/GMT4.5.2/man:$MANPATH

name=SolEx_plot
FIG=/tmp/$name.ps
epsfig=$name.eps
pdffig=$name.pdf
SOLEX=~/Desktop/SolEx_output.txt
# datafile must be UTF-8 encoding for awk to process it properly

gmtset ANNOT_FONT_SIZE_PRIMARY 12
gmtset ANNOT_FONT_SIZE_SECONDARY 12
gmtset LABEL_FONT_SIZE 14
gmtset TICK_LENGTH -0.2c
gmtset HEADER_FONT_SIZE 12

# set up basemap
psbasemap -K -R0/4000/0/4000 -JX12c/9c -Bp:.$name:f500a1000:"P /bars":/f200a1000:"S, Cl /ppm":WeSn -P > $FIG

# print a line for Cl
awk '{print $1,$5}' $SOLEX |\
	psxy -O -J -Bp -R -K -H10 -W1p,black -P >> $FIG


# print a line for S
awk '{print $1,$4}' $SOLEX |\
	psxy -O -J -Bp -R -K -H10 -W1p,black,- -P >> $FIG

# adding a legend
pslegend -R -J -O -Dx0.4c/7c/4c/1.8c/BL -C0.1c/0.1c -L1.2 <<EOF >>$FIG
N 1
S 0.75c - 1c - 1p,black,- 1.5c S 
S 0.75c - 1c - 1p,black 1.5c Cl
EOF


# Don't forget to have -K for the first bit of plotting, -O for the last, and -O -K for all other plotting commands in between!

ps2epsi $FIG $epsfig
rm $FIG
epstopdf $epsfig
open $pdffig

exit 0

